SIRIS, ALTO, and NAS: After updating the Datto Linux Agent, backups fail and dlad service won't start

Follow

Issue

After upgrading a Datto Linux Agent installation from version 1.0 to 2.0, backups fail, and the dlad service on the protected machine is unable to start.

Environment

  • Datto Linux Agent

Cause

An out-of-date version of gnutls is preventing the service from starting.

Resolution 

Verify the issue

From a Linux command prompt on the protected machine, type sudo /usr/sbin/dlad -d. You should see the following error message:

[CRITICAL:] HTTP server failed to start with err: 0

If you don't see the above error, search the Datto Knowledge Base for the error that the command returned, or contact Datto Technical Support for further assistance.

Resolve the issue

Once you've verified the error, update the gnutls package to the latest version for your Linux distribution.

Datto has not determined how many distributions of Linux or versions of gnutls will experience this issue. If you see "HTTP server failed to start with err: 0" after running dlad -d, you should update the gnutls package as a first step.

Additional Resources


Was this article helpful?

0 out of 0 found this helpful

You must sign in before voting on this article.

Want to talk about it? Have a feature request?

Head on over to our Datto Community Forum or the Datto Community Online.

For more Business Management resources, see the Datto RMM Online Help and the Autotask PSA Online Help .

Still have questions? Get live help.

Datto Homepage